[tool.poetry]
name = "app"
version = "0.1.0"
description = ""
authors = ["Yann Beauxis <dev@yannbeauxis.net>"]

[tool.poetry.dependencies]
python = "^3.8"
pyminio = "^0.2.1"
fastapi = "^0.70.0"
uvicorn = {extras = ["standard"], version = "^0.15.0"}
fastapi-utils = "^0.2.1"
psycopg2-binary = "^2.9.1"
SQLAlchemy = {extras = ["mypy"], version = "^1.4.26"}
alembic = "^1.7.4"
cfm-id = "^0.1.5"
celery = "^5.2.1"

[tool.poetry.dev-dependencies]
pytest = "^6.0.0"
black = "^21.5b2"
rope = "^0.19.0"
pylint = "^2.8.3"
flake8 = "^4.0.1"
mypy = "^0.910"
types-setuptools = "^57.4.2"
pytest-cov = "^3.0.0"
pytest-docker = "^0.10.3"
pytest-dotenv = "^0.5.2"
requests = "^2.26.0"
pytest-datadir = "^1.3.1"
types-requests = "^2.25.11"

[tool.poetry.scripts]
dev = "cli:run_dev"
test = "tests.cli:run"
init_dev = "cli:init_dev"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
